"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _path = _interopRequireDefault(require("path"));
var _fs = _interopRequireDefault(require("fs"));
var _archiver = require("archiver");
var _default = async (destination = "./pageBuilderInstallation.zip") => {
  if (_fs.default.existsSync(destination)) {
    return;
  }
  const dir = _path.default.dirname(destination);
  if (!_fs.default.existsSync(dir)) {
    _fs.default.mkdirSync(dir, {
      recursive: true
    });
  }
  const source = _path.default.join(__dirname, "files");
  const archive = (0, _archiver.create)("zip", {
    zlib: {
      level: 9
    }
  });
  const stream = _fs.default.createWriteStream(destination);
  return new Promise((resolve, reject) => {
    archive.directory(source, false).on("error", err => reject(err)).pipe(stream);
    stream.on("close", () => resolve());
    archive.finalize();
  });
};
exports.default = _default;

//# sourceMappingURL=createInstallationZip.js.map